package _VisualDVM.ProjectData.SapforData.Functions.UI;
import Common.Visual.Trees.SelectableTree;
import _VisualDVM.Global;
import _VisualDVM.ProjectData.SapforData.Functions.FuncInfo;
import _VisualDVM.Visual.Menus.SelectionTreeMenu;
public class InlineMenu extends SelectionTreeMenu {
    public InlineMenu(SelectableTree tree_in) {
        super(tree_in);
    }
    @Override
    public Class getTargetClass() {
        return FuncInfo.class;
    }
    @Override
    public void SelectAll(boolean select) {
        for (FuncInfo fi : Global.mainModule.getProject().allFunctions.values())
            fi.SelectAllChildren(select);
    }
}
